module Ruboty
  module Handlers
    class Youtube < Base
      on /yt ((?<target>(video|pl)) )?(?<mode>(top|rand)) (?<keyword>.+)/, name: 'yt', description: 'Search from YouTube'

      def yt(message)
        result =
          if message[:target]
            Ruboty::Youtube::Client.new(
              message[:target].to_sym,
              message[:mode].to_sym,
              message[:keyword]
            ).search
          else
            Ruboty::Youtube::Client.new(
              :video,
              message[:mode].to_sym,
              message[:keyword]
            ).search
          end

        message.reply(result) if result
      end
    end
  end
end
